### Method

# EDataCal CalBackend ref_data_cal

since: 3.10

#### Declaration [src]

    EDataCal*
    e_cal_backend_ref_data_cal (
      ECalBackend* backend
    )

#### Description [src]

Returns the `EDataCal` for `backend`. The `EDataCal` is essentially the glue between incoming D-Bus requests and `backend`‘s native API.

An `EDataCal` should be set only once after `backend` is first created. If an `EDataCal` has not yet been set, the function returns `NULL`.

The returned `EDataCal` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.10

#### Return value

Type: `EDataCal`

An `EDataCal`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.